### Function

# AppStream utils_data_id_equal

since: 0.14.0

#### Declaration [src]

    gboolean
    as_utils_data_id_equal (
      const gchar* data_id1,
      const gchar* data_id2
    )

#### Description [src]

Checks two component data IDs for equality allowing globs to match.

Available since: 0.14.0

#### Parameters

`data_id1`

  Type: `const gchar*`

  A data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data_id2`

  Type: `const gchar*`

  Another data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the ID’s should be considered equal.